### Method

# EDataBook BookBackend get_view_n_total

since: 3.50

#### Declaration [src]

    guint
    e_book_backend_get_view_n_total (
      EBookBackend* backend,
      gsize view_id
    )

#### Description [src]

Returns how many contacts the view identified by `view_id` contains.

The default implementation of this virtual method returns the value previously set by e_book_backend_set_view_n_total().

Note: This function should be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` views.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

#### Return value

Type: `guint`

How many contacts the view identified by `view_id` contains.